
#ifndef __MODULE_AMXX_CONFIG_H__
#define __MODULE_AMXX_CONFIG_H__

// Comment this line if you don't need amxx hooks and functions
// Read the instructions on metamod_config.h first
#define USE_AMXX

#ifdef USE_AMXX

// Hooks
/** 
	* AMXX Init functions
	* Also consider using FN_META_*
	*/

/** AMXX attach
	* Do native functions init here (MF_AddNatives)
	*/
//#define FN_AMXX_ATTACH OnAmxxAttach

/** AMXX Detach (unload) */
// #define FN_AMXX_DETACH OnAmxxDetach

/** All plugins loaded
	* Do forward functions init here (MF_RegisterForward)
	*/
//#define FN_AMXX_PLUGINSLOADED OnPluginsLoaded

/** All plugins are about to be unloaded */
// #define FN_AMXX_PLUGINSUNLOADING OnPluginsUnloading

/** All plugins are now unloaded */
//#define FN_AMXX_PLUGINSUNLOADED OnPluginsUnloaded

// Functions

//#define AMXX_FUNC_ADD_NATIVES			// g_fn_AddNatives
//#define AMXX_FUNC_ADD_NEW_NATIVES		// g_fn_AddNewNatives;
//#define AMXX_FUNC_BUILD_PATHNAME		// g_fn_BuildPathname;
//#define AMXX_FUNC_BUILD_PATHNAME_R		// g_fn_BuildPathnameR;
//#define AMXX_FUNC_GET_AMXADDR			// g_fn_GetAmxAddr;
//#define AMXX_FUNC_PRINT_SRVCONSOLE		// g_fn_PrintSrvConsole;
//#define AMXX_FUNC_GET_MODNAME			// g_fn_GetModname;
//#define AMXX_FUNC_GET_AMXSCRIPTNAME		 // g_fn_GetAmxScriptName;
//#define AMXX_FUNC_GET_AMXSCRIPT			 // g_fn_GetAmxScript;
//#define AMXX_FUNC_FIND_AMXSCRIPT_BYAMX	 // g_fn_FindAmxScriptByAmx;
//#define AMXX_FUNC_FIND_AMXSCRIPT_BYNAME	 // g_fn_FindAmxScriptByName;
//#define AMXX_FUNC_SET_AMXSTRING			 // g_fn_SetAmxString;
//#define AMXX_FUNC_GET_AMXSTRING			 // g_fn_GetAmxString;
//#define AMXX_FUNC_GET_AMXSTRINGLEN		 // g_fn_GetAmxStringLen;
//#define AMXX_FUNC_FORMAT_AMXSTRING		 // g_fn_FormatAmxString;
//#define AMXX_FUNC_COPY_AMXMEMORY			 // g_fn_CopyAmxMemory;
#define AMXX_FUNC_LOG						 // g_fn_Log;
#define AMXX_FUNC_LOG_ERROR				 // g_fn_LogErrorFunc;
//#define AMXX_FUNC_RAISE_AMXERROR			 // g_fn_RaiseAmxError;
//#define AMXX_FUNC_REGISTER_FORWARD		 // g_fn_RegisterForward;
//#define AMXX_FUNC_EXECUTE_FORWARD			 // g_fn_ExecuteForward;
//#define AMXX_FUNC_PREPARE_CELLARRAY		 // g_fn_PrepareCellArray;
//#define AMXX_FUNC_PREPARE_CHARARRAY		 // g_fn_PrepareCharArray;
//#define AMXX_FUNC_PREPARE_CELLARRAY_A		 // g_fn_PrepareCellArrayA;
//#define AMXX_FUNC_PREPARE_CHARARRAY_A		 // g_fn_PrepareCharArrayA;
//#define AMXX_FUNC_IS_PLAYER_VALID			 // g_fn_IsPlayerValid;
//#define AMXX_FUNC_GET_PLAYER_NAME			 // g_fn_GetPlayerName;
//#define AMXX_FUNC_GET_PLAYER_IP			 // g_fn_GetPlayerIP;
//#define AMXX_FUNC_IS_PLAYER_INGAME		 // g_fn_IsPlayerIngame;
//#define AMXX_FUNC_IS_PLAYER_BOT			 // g_fn_IsPlayerBot;
//#define AMXX_FUNC_IS_PLAYER_AUTHORIZED	 // g_fn_IsPlayerAuthorized;
//#define AMXX_FUNC_GET_PLAYER_TIME			 // g_fn_GetPlayerTime;
//#define AMXX_FUNC_GET_PLAYER_PLAYTIME		 // g_fn_GetPlayerPlayTime;
//#define AMXX_FUNC_GET_PLAYER_CURWEAPON	 // g_fn_GetPlayerCurweapon;
//#define AMXX_FUNC_GET_PLAYER_TEAM			 // g_fn_GetPlayerTeam;
//#define AMXX_FUNC_GET_PLAYER_TEAMID		 // g_fn_GetPlayerTeamID;
//#define AMXX_FUNC_GET_PLAYER_DEATHS		 // g_fn_GetPlayerDeaths;
//#define AMXX_FUNC_GET_PLAYER_MENU			 // g_fn_GetPlayerMenu;
//#define AMXX_FUNC_GET_PLAYER_KEYS			 // g_fn_GetPlayerKeys;
//#define AMXX_FUNC_IS_PLAYER_ALIVE			 // g_fn_IsPlayerAlive;
//#define AMXX_FUNC_GET_PLAYER_FRAGS		 // g_fn_GetPlayerFrags;
//#define AMXX_FUNC_IS_PLAYER_CONNECTING	 // g_fn_IsPlayerConnecting;
//#define AMXX_FUNC_IS_PLAYER_HLTV			 // g_fn_IsPlayerHLTV;
//#define AMXX_FUNC_GET_PLAYER_ARMOR		 // g_fn_GetPlayerArmor;
//#define AMXX_FUNC_GET_PLAYER_HEALTH		 // g_fn_GetPlayerHealth;
//#define AMXX_FUNC_AMX_EXEC				 // g_fn_AmxExec;
//#define AMXX_FUNC_AMX_EXECV				 // g_fn_AmxExecv;
//#define AMXX_FUNC_AMX_ALLOT				 // g_fn_AmxAllot;
//#define AMXX_FUNC_AMX_FINDPUBLIC			 // g_fn_AmxFindPublic;
//#define AMXX_FUNC_LOAD_AMXSCRIPT			 // g_fn_LoadAmxScript;
//#define AMXX_FUNC_UNLOAD_AMXSCRIPT		 // g_fn_UnloadAmxScript;
//#define AMXX_FUNC_REAL_TO_CELL			 // g_fn_RealToCell;
//#define AMXX_FUNC_CELL_TO_REAL			 // g_fn_CellToReal;
//#define AMXX_FUNC_REGISTER_SPFORWARD		 // g_fn_RegisterSPForward;
//#define AMXX_FUNC_REGISTER_SPFORWARD_BYNAME	 // g_fn_RegisterSPForwardByName;
//#define AMXX_FUNC_UNREGISTER_SPFORWARD	 // g_fn_UnregisterSPForward;
//#define AMXX_FUNC_MERGEDEFINITION_FILE	 // g_fn_MergeDefinition_File;
//#define AMXX_FUNC_AMX_FINDNATIVE			 // g_fn_AmxFindNative;
//#define AMXX_FUNC_GETPLAYERFLAGS			 // g_fn_GetPlayerFlags;
//#define AMXX_FUNC_GET_PLAYER_EDICT		 // g_fn_GetPlayerEdict;
//#define AMXX_FUNC_FORMAT					 // g_fn_Format;
//#define AMXX_FUNC_REGISTERFUNCTION		 // g_fn_RegisterFunction;
//#define AMXX_FUNC_AMX_PUSH				 // g_fn_AmxPush;
//#define AMXX_FUNC_SET_TEAM_INFO			 // g_fn_SetTeamInfo;
//#define AMXX_FUNC_PLAYER_PROP_ADDR		 // g_fn_PlayerPropAddr;
//#define AMXX_FUNC_REG_AUTH_FUNC			 // g_fn_RegAuthFunc;
//#define AMXX_FUNC_UNREG_AUTH_FUNC			 // g_fn_UnregAuthFunc;
//#define AMXX_FUNC_FINDLIBRARY				 // g_fn_FindLibrary;
//#define AMXX_FUNC_ADDLIBRARIES			 // g_fn_AddLibraries;
//#define AMXX_FUNC_REMOVELIBRARIES			 // g_fn_RemoveLibraries;
//#define AMXX_FUNC_OVERRIDENATIVES			 // g_fn_OverrideNatives;
//#define AMXX_FUNC_GETLOCALINFO			 // g_fn_GetLocalInfo;
//#define AMXX_FUNC_AMX_REREGISTER			 // g_fn_AmxReRegister;
//#define AMXX_FUNC_REGISTERFUNCTIONEX		 // g_fn_RegisterFunctionEx;
//#define AMXX_FUNC_MESSAGE_BLOCK			 // g_fn_MessageBlock;

#endif //USE_AMXX

#endif